version.h File Reference
`#include <log4cplus/config.hxx>`
Include dependency graph for version.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus

## Macros

#define | LOG4CPLUS_MAKE_VERSION(major, minor, point)
#define | LOG4CPLUS_MAKE_VERSION_STR(major, minor, point)
#define | LOG4CPLUS_VERSION LOG4CPLUS_MAKE_VERSION(2, 1, 2)
#define | LOG4CPLUS_VERSION_STR LOG4CPLUS_MAKE_VERSION_STR(2, 1, 2)
| This is log4cplus version number as a string.

## Variables

LOG4CPLUS_EXPORT unsigned const | log4cplus::version
LOG4CPLUS_EXPORT char const | log4cplus::versionStr []

## Macro Definition Documentation

## LOG4CPLUS_MAKE_VERSION

#define LOG4CPLUS_MAKE_VERSION | ( |  | major,
|  |  | minor,
|  |  | point )

Value:
(major * 1000 * 1000u + minor * 1000u + point)

Definition at line 35 of file version.h.

## LOG4CPLUS_MAKE_VERSION_STR

#define LOG4CPLUS_MAKE_VERSION_STR | ( |  | major,
|  |  | minor,
|  |  | point )

Value:
#major "." #minor "." #point

Definition at line 38 of file version.h.

## LOG4CPLUS_VERSION

#define LOG4CPLUS_VERSION LOG4CPLUS_MAKE_VERSION(2, 1, 2)

This is log4cplus version number as unsigned integer. This must be kept on a single line. It is used by Autotool and CMake build systems to parse version number.

Definition at line 44 of file version.h.

## LOG4CPLUS_VERSION_STR

#define LOG4CPLUS_VERSION_STR LOG4CPLUS_MAKE_VERSION_STR(2, 1, 2)

This is log4cplus version number as a string.

Definition at line 47 of file version.h.